Bug 1094124 - realmd polkit policy is desktop centric
Summary: realmd polkit policy is desktop centric
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: realmd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1094121 cockpit-F21-tracker 1108258
TreeView+ depends on / blocked
 
Reported: 2014-05-05 06:29 UTC by Stef Walter
Modified: 2014-07-28 03:26 UTC (History)
3 users (show)

Fixed In Version: realmd-0.14.6-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-28 03:26:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 78273 None None None Never

Description Stef Walter 2014-05-05 06:29:12 UTC
Description of problem:

The realmd polkit policy is completely desktop-centric and expects that the user (admin or not) is logged in an active local session (ie: a seat in logind parlance, with a monitor and keyboard).

This prevents admin (but non-root) use of realmd when logged in via ssh (and using pkttyagent as your polkit agent) or via Cockpit.

The <allow_any> tag in polkit policy applies to non-local sessions. It should be set to something other than 'no' unless the action directly affects hardware of the login seat.

Version-Release number of selected component (if applicable):

realmd-0.14.6-4.fc20.x86_64

How reproducible:

Every time.

Comment 1 Fedora Update System 2014-07-16 13:49:51 UTC
realmd-0.14.6-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/realmd-0.14.6-5.fc20

Comment 2 Fedora Update System 2014-07-17 04:32:59 UTC
Package realmd-0.14.6-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.6-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8438/realmd-0.14.6-5.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-07-28 03:26:23 UTC
realmd-0.14.6-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.